import usb
import time
import os
####################################
VENDOR_RQ_SET_LED    = 3
VENDOR_RQ_GET_SWITCH = 1
VENDOR_RQ_GET_LIGHT  = 2
VENDOR_RQ_RUN_LIGHT  = 0

####################################
class Board:
    def __init__(self):
        #print "Looking for MCU board..."
        dev = self.find_board()
        if not dev: raise "MCU board not found!"
        #print "MCU board found"
        self.handle = dev.open()

    def find_board(self):
        for bus in usb.busses():
            for dev in bus.devices:
                if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                    return dev
        return None

    def set_led(self,pin,val):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
        self.handle.controlMsg(reqType, VENDOR_RQ_SET_LED, None, value=val*256+pin)

    def get_switch(self):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        buf = self.handle.controlMsg(reqType, VENDOR_RQ_GET_SWITCH, 1)
        return buf[0]

    def get_light(self):	
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        buf = self.handle.controlMsg(reqType, VENDOR_RQ_GET_LIGHT, 2)
        return (buf[1] << 8) + buf[0]
    def run_light(self):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        buf = self.handle.controlMsg(reqType, VENDOR_RQ_RUN_LIGHT, 2)
        return (buf[1] << 8) + buf[0]
if __name__ == "__main__":
	b=Board()
	b.find_board()
	while (1):
		F = b.get_light()
		#print(F)
		if (F==59):
			break
	os.system("gnome-screensaver-command -l")
